#!/bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin

# For Red Hat-like systems.
# chkconfig: 345 4 96
# description: Initialises VPD/hardware inventory information.

# And SuSE...
### BEGIN INIT INFO
# Provides:       boot.lsvpd
# Required-Start: boot.localfs
# Required-Stop:
# Default-Start:  B
# Default-Stop:
# Description:    lsvpd hardware inventory utilities
### END INIT INFO

RETVAL=0

case "$1" in
  start)
    echo -n "Initialising lsvpd database"
    /sbin/update-lsvpd-db
    RETVAL=$?
    echo "."
    ;;
  stop)
    :
    ;;
  *)
    echo "Usage: lsvpd {start|stop}"
    exit 1
    ;;
esac

exit $RETVAL
